Zum Inhalt springen

Overview

  • Version: 2.0.0
  • Servers: https://store.xsolla.com/api
  • Contact Us by Email
  • Contact URL: https://xsolla.com/
  • Required TLS version: 1.2

The Catalog API allows you to configure a catalog of in-game items on the Xsolla side and display the catalog to users in your store.

The API allows you to manage the following catalog entities:

  • Virtual items — in-game items such as weapons, skins, boosters.
  • Virtual currency — virtual money used to purchase virtual goods.
  • Virtual currency packages — predefined bundles of virtual currency.
  • Bundles — combined packages of virtual items, currency, or game keys sold as a single SKU.
  • Game keys — keys for games and DLCs distributed via platforms like Steam or other DRM providers.
  • Groups — logical groupings for organizing and sorting items within the catalog.

API calls

The API is divided into the following groups:

  • Admin — calls for creating, updating, deleting, and configuring catalog items and groups. Authenticated via basic access authentication with your merchant or project credentials. Not intended for storefront use.
  • Catalog — calls for retrieving items and building custom storefronts for end users. Designed to handle high-load scenarios. Support optional user JWT authorization to return personalized data such as user-specific limits and active promotions.

Authentication

API calls require authentication either on behalf of a user or on behalf of a project. The authentication scheme used is specified in the Security section in the description of each call.

Authentication using user's JWT

User's JWT authentication is used when a request is sent from a browser, mobile application, or game. By default, the XsollaLoginUserJWT scheme is applied. For details on how to create a token, see the Xsolla Login API documentation.

The token is passed in the Authorization header in the following format: Authorization: Bearer <user_JWT>, where <user_JWT> is the user token. The token identifies the user and provides access to personalized data. You can try this call using the following test token:

eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJleHAiOjE5NjIyMzQwNDgsImlzcyI6Imh0dHBzOi8vbG9naW4ueHNvbGxhLmNvbSIsImlhdCI6MTU2MjE0NzY0OCwidXNlcm5hbWUiOiJ4c29sbGEiLCJ4c29sbGFfbG9naW5fYWNjZXNzX2tleSI6IjA2SWF2ZHpDeEVHbm5aMTlpLUc5TmMxVWFfTWFZOXhTR3ZEVEY4OFE3RnMiLCJzdWIiOiJkMzQyZGFkMi05ZDU5LTExZTktYTM4NC00MjAxMGFhODAwM2YiLCJlbWFpbCI6InN1cHBvcnRAeHNvbGxhLmNvbSIsInR5cGUiOiJ4c29sbGFfbG9naW4iLCJ4c29sbGFfbG9naW5fcHJvamVjdF9pZCI6ImU2ZGZhYWM2LTc4YTgtMTFlOS05MjQ0LTQyMDEwYWE4MDAwNCIsInB1Ymxpc2hlcl9pZCI6MTU5MjR9.GCrW42OguZbLZTaoixCZgAeNLGH2xCeJHxl8u8Xn2aI

Alternatively, you can use a token for opening the payment UI.

Basic HTTP authentication

Basic HTTP authentication is used for server-to-server interactions, when an API call is sent directly from your server rather than from a user's browser or mobile application. HTTP Basic authentication with an API key is typically used.

Note

The API key is confidential and must not be stored or used in client applications.

With basic server-side authentication, all API requests must include the following header:

  • for basicAuthAuthorization: Basic <your_authorization_basic_key>, where your_authorization_basic_key is the project_id:api_key pair encoded in Base64
  • for basicMerchantAuthAuthorization: Basic <your_authorization_basic_key>, where your_authorization_basic_key is the merchant_id:api_key pair encoded in Base64

You can find the parameter values in Publisher Account:

  • merchant_id is displayed:
    • In Company settings > Company.
    • In the URL in the browser address bar on any Publisher Account page. The URL has the following format: https://publisher.xsolla.com/<merchant_id>.
  • project_id is displayed:
    • Next to the project name in Publisher Account.
    • In the URL in the browser address bar when working on a project in Publisher Account. The URL has the following format: https://publisher.xsolla.com/<merchant_id>/projects/<project_id>.
  • api_key is shown in Publisher Account only at the time of creation and must be stored securely on your side. You can create an API key in the following sections:
Notice

If a required API call doesn't include the project_id path parameter, use an API key that is valid across all company projects for authorization.

For more information about working with API keys, see the API references.

Authentication with guest access support

The AuthForCart authentication scheme is used for cart purchases and supports two modes:

  1. Authentication with a user's JWT. The token is passed in the Authorization header in the following format: Authorization: Bearer <user_JWT>, where <user_JWT> is the user token. The token identifies the user and provides access to personalized data. You can try this call using the following test token:
eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJleHAiOjE5NjIyMzQwNDgsImlzcyI6Imh0dHBzOi8vbG9naW4ueHNvbGxhLmNvbSIsImlhdCI6MTU2MjE0NzY0OCwidXNlcm5hbWUiOiJ4c29sbGEiLCJ4c29sbGFfbG9naW5fYWNjZXNzX2tleSI6IjA2SWF2ZHpDeEVHbm5aMTlpLUc5TmMxVWFfTWFZOXhTR3ZEVEY4OFE3RnMiLCJzdWIiOiJkMzQyZGFkMi05ZDU5LTExZTktYTM4NC00MjAxMGFhODAwM2YiLCJlbWFpbCI6InN1cHBvcnRAeHNvbGxhLmNvbSIsInR5cGUiOiJ4c29sbGFfbG9naW4iLCJ4c29sbGFfbG9naW5fcHJvamVjdF9pZCI6ImU2ZGZhYWM2LTc4YTgtMTFlOS05MjQ0LTQyMDEwYWE4MDAwNCIsInB1Ymxpc2hlcl9pZCI6MTU5MjR9.GCrW42OguZbLZTaoixCZgAeNLGH2xCeJHxl8u8Xn2aI

Alternatively, you can use a token for opening the payment UI.

  1. Simplified mode without Authorization header. This mode is used only for unauthorized users and can be applied only for game key sales. Instead of a token, the request must include the following headers:
    • x-unauthorized-id with a request ID
    • x-user with the user's email address encoded in Base64

Core entity structure

Items of all types (virtual items, bundles, virtual currency, and keys) use a similar data structure. Understanding the basic structure simplifies working with the API and helps you navigate the documentation more easily.

Note

Some calls may include additional fields but they don't change the basic structure.

Identification

  • merchant_id — company ID in Publisher Account
  • project_id — project ID in Publisher Account
  • sku — item SKU, unique within the project

Store display

  • name — item name
  • description — item description
  • image_url — image URL
  • is_enabled — item availability
  • is_show_in_store — whether the item is displayed in the catalog

For more information about managing item availability in the catalog, see the documentation.

Organization

  • type — item type, for example, a virtual item (virtual_item) or bundle (bundle)
  • groups — groups the item belongs to
  • order — display order in the catalog

Sale conditions

  • prices — prices in real or virtual currency
  • limits — purchase limits
  • periods — availability periods
  • regions — regional restrictions

Example of core entity structure:

{
  "attributes": [],
  "bundle_type": "virtual_currency_package",
  "content": [
    {
      "description": {
        "en": "Main in-game currency"
      },
      "image_url": "https://.../image.png",
      "name": {
        "en": "Crystals",
        "de": "Kristalle"
      },
      "quantity": 500,
      "sku": "com.xsolla.crystal_2",
      "type": "virtual_currency"
    }
  ],
  "description": {
    "en": "Crystals x500"
  },
  "groups": [],
  "image_url": "https://.../image.png",
  "is_enabled": true,
  "is_free": false,
  "is_show_in_store": true,
  "limits": {
    "per_item": null,
    "per_user": null,
    "recurrent_schedule": null
  },
  "long_description": null,
  "media_list": [],
  "name": {
    "en": "Medium crystal pack"
  },
  "order": 1,
  "periods": [
    {
      "date_from": null,
      "date_until": "2020-08-11T20:00:00+03:00"
    }
  ],
  "prices": [
    {
      "amount": 20,
      "country_iso": "US",
      "currency": "USD",
      "is_default": true,
      "is_enabled": true
    }
  ],
  "regions": [],
  "sku": "com.xsolla.crystal_pack_2",
  "type": "bundle",
  "vc_prices": []
}

Basic purchase flow

The Xsolla API allows you to implement in-game store logic, including retrieving the item catalog, managing the cart, creating orders, and tracking their status. Depending on the integration scenario, API calls are divided into Admin and Catalog subsections, which use different authentication schemes.

The following example shows a basic flow for setting up and operating a store, from item creation to purchase.

Create items and groups (Admin)

Create an item catalog for your store, such as virtual items, bundles, or virtual currency.

Example API calls:

Set up promotions, chains, and limits (Admin)

Configure user acquisition and monetization tools, such as discounts, bonuses, daily rewards, or offer chains.

Example API calls:

Get item information (Client)

Configure item display in your application.

Notice

Do not use API calls from the Admin subsection to build a user catalog. These API calls have rate limits and aren't intended for user traffic.

Example API calls:

Note

By default, catalog API calls return items that are currently available in the store at the time of the request. To retrieve items that are not yet available or are no longer available, include the parameter "show_inactive_time_limited_items": 1 in the catalog request.

Sell items

You can sell items using the following methods:

  • Fast purchase — sell one SKU multiple times.
  • Cart purchase — the user adds items to the cart, removes items, and updates quantities within a single order.

If an item is purchased using virtual currency instead of real money, use the Create order with specified item purchased by virtual currency API call. The payment UI is not required, as the charge is processed when the API call is executed.

For free item purchase, use the Create order with specified free item API call or the Create order with free cart API call. The payment UI is not required — the order is immediately set to the done status.

Fast purchase

Use the client-side API call to create an order with a specified item. The call returns a token used to open the payment UI.

Note

Discount information is available to the user only in the payment UI. Promo codes are not supported.

Cart purchase

Cart setup and purchase can be performed on the client or on the server side.

Set up and purchase a cart on the client

Implement the logic of adding and removing items by yourself. Before calling the API for setting up a cart, you will not have information about which promotions will be applied to the purchase. This means that the total cost and details of the added bonus items will not be known.

Implement the following cart logic:

  1. After the player has filled a cart, use the Fill cart with items API call. The call returns the current information about the selected items (prices before and after discounts, bonus items).
  2. Update the cart contents based on user actions:
Note

To get the current status of the cart, use the Get current user's cart API call.
  1. Use the Create order with all items from current cart API call. The call returns the order ID and payment token. The newly created order is set to new status by default.

Set up and purchase a cart on the server

This setup option may take longer for setting the cart up, since each change to the cart must be accompanied by API calls.

Implement the following cart logic:

  1. After the player has filled a cart, use the Fill cart with items API call. The call returns current information about the selected items (prices before and after discounts, bonus items).
  2. Use the Create order with all items from current cart API call. The call returns the order ID and payment token. The newly created order is set to new status by default.

Open payment UI

Use the returned token to open the payment UI in a new window. Other ways to open the payment UI are described in the documentation.

ActionEndpoint
Open in production environment.https://secure.xsolla.com/paystation4/?token={token}
Open in sandbox mode.https://sandbox-secure.xsolla.com/paystation4/?token={token}
Note

Use sandbox mode during development and testing. Test purchases don't charge real accounts. You can use test bank cards.

After the first real payment is made, a strict sandbox payment policy takes effect. A payment in sandbox mode is available only to users specified in Publisher Account > Company settings > Users.

Buying virtual currency and items for real currency is possible only after signing a license agreement with Xsolla. To do this, in Publisher Account, go to Agreements & Taxes > Agreements, complete the agreement form, and wait for confirmation. It may take up to 3 business days to review the agreement.

To enable or disable sandbox mode, change the value of the sandbox parameter in the request for fast purchase and cart purchase. Sandbox mode is off by default.

Possible order statuses:

  • new — order created
  • paid — payment received
  • done — item delivered
  • canceled — order canceled
  • expired — payment expired

Track order status using one of the following methods:

Pagination

API calls that return large sets of records (for example, when building a catalog) return data in pages. Pagination is a mechanism that limits the number of items returned in a single API response and allows you to retrieve subsequent pages sequentially.

Use the following parameters to control the number of returned items:

  • limit — number of items per page
  • offset — index of the first item on the page (numbering starts from 0)
  • has_more — indicates whether another page is available
  • total_items_count — total number of items

Example request:

GET /items?limit=20&offset=40

Response example:

{
  "items": [...],
  "has_more": true,
  "total_items_count": 135
}

It is recommended to send subsequent requests until the response returns has_more = false.

Date and time format

Dates and time values are passed in the ISO 8601 format.

The following are supported:

  • UTC offset
  • null value when there is no time restriction for displaying an item
  • Unix timestamp (in seconds) used in some fields

Format: YYYY-MM-DDTHH:MM:SS±HH:MM

Example: 2026-03-16T10:00:00+03:00

Localization

Xsolla supports localization of user-facing fields such as item name and description. Localized values are passed as an object where the language code is used as the key. The full list of supported languages is available in the documentation.

Supported fields

Localization can be specified for the following parameters:

  • name
  • description
  • long_description

Locale format

The locale key can be specified in one of the following formats:

  • Two-letter language code: en, ru
  • Five-letter language code: en-US, ru-RU, de-DE

Examples

Example with a two-letter language code:

{
  "name": {
    "en": "Starter Pack",
    "ru": "Стартовый набор"
  }
}

Example with a five-letter language code:

{
  "description": {
    "en-US": "Premium bundle",
    "de-DE": "Premium-Paket"
  }
}

Error response format

If an error occurs, the API returns an HTTP status and a JSON response body. The full list of store-related errors is available in the documentation.

Response example:

{
  "errorCode": 1102,
  "errorMessage": "Validation error",
  "statusCode": 422,
  "transactionId": "c9e1a..."
}
  • errorCode — error code.
  • errorMessage — short error description.
  • statusCode — HTTP response status.
  • transactionId — request ID. Returned only in some cases.
  • errorMessageExtended — additional error details, such as request parameters. Returned only in some cases.

Extended response example:

{
  "errorCode": 7001,
  "errorMessage": "Chain not found",
  "errorMessageExtended": {
    "chain_id": "test_chain_id",
    "project_id": "test_project_id",
    "step_number": 2
  },
  "statusCode": 404
}

Common HTTP status codes

  • 400 — invalid request
  • 401 — authentication error
  • 403 — insufficient permissions
  • 404 — resource not found
  • 422 — validation error
  • 429 — rate limit exceeded

Recommendations

  • Handle the HTTP status and the response body together.
  • Use errorCode to process errors related to application logic.
  • Use transactionId to identify requests more quickly when analyzing errors.
OpenAPI-Beschreibung herunterladen
Sprachen
Server
https://store.xsolla.com/api/
Mock server
https://xsolla.redocly.app/_mock/de/api/catalog/
Operationen

Virtuelle Währung löschenServer-sideAdmin

Anfrage

Löscht eine virtuelle Währung.

Sicherheit
basicAuth
Pfad
project_idintegererforderlich

Project ID. You can find this parameter in your Publisher Account next to the project name and in the browser address bar when working with a project. The URL has the following format: https://publisher.xsolla.com/<merchant_id>/projects/<project_id>.

Beispiel: 44056
virtual_currency_skustringerforderlich

SKU der virtuellen Währung.

Beispiel: crystal
curl -i -X DELETE \
  -u <username>:<password> \
  https://store.xsolla.com/api/v2/project/44056/admin/items/virtual_currency/sku/crystal

Antworten

Virtuelle Währung wurde erfolgreich gelöscht.

Body
Antwort
Kein Inhalt

Virtuelle Währung abrufenServer-sideAdmin

Anfrage

Ruft die virtuelle Wärhung innerhalb eines Projekts zur Verwaltung ab.

Hinweis

Verwenden Sie diesen Endpunkt nicht zum Erstellen eines Shop-Katalogs.
Sicherheit
basicAuth
Pfad
project_idintegererforderlich

Project ID. You can find this parameter in your Publisher Account next to the project name and in the browser address bar when working with a project. The URL has the following format: https://publisher.xsolla.com/<merchant_id>/projects/<project_id>.

Beispiel: 44056
virtual_currency_skustringerforderlich

SKU der virtuellen Währung.

Beispiel: crystal
curl -i -X GET \
  -u <username>:<password> \
  https://store.xsolla.com/api/v2/project/44056/admin/items/virtual_currency/sku/crystal

Antworten

Die angegebene virtuelle Währung wurde erfolgreich empfangen.

Bodyapplication/json
attributesArray of objects(Virtual-Items-Currency_admin-attributes)

Liste der Attribute.

Beispiel: [{"external_id":"attribute_external_id","name":{"de":"Attributname","en":"Attribute name"},"values":[{"external_id":"value_1","name":{"de":"wert 1","en":"value 1"}},{"external_id":"value_2","name":{"de":"wert 2","en":"value 2"}}]}]
attributes[].​external_idstring(admin-attribute-external_id)[ 1 .. 255 ] characters^[a-zA-Z0-9-_]+$erforderlich

Eindeutige Attribut-ID. Die external_id darf nur lateinische Klein- und Großbuchstaben, Ziffern, Bindestriche und Unterstriche enthalten.

Beispiel: "attribute_external_id"
attributes[].​nameobject(admin-attribute-name)

Objekt mit lokalisierten Attributnamen. Schlüssel sind in ISO 3166-1 spezifiziert.

Beispiel: {"de":"Attributname","en":"Attribute name"}
attributes[].​name.​property name*stringzusätzliche Eigenschaft
attributes[].​valuesArray of objects(attribute-value)erforderlich
Beispiel: [{"external_id":"value_1","name":{"de":"wert 1","en":"value 1"}},{"external_id":"value_2","name":{"de":"wert 2","en":"value 2"}}]
attributes[].​values[].​external_idstring(value-external_id)[ 1 .. 255 ] characters^[-_.\d\w]+$erforderlich

Eindeutige Wert-ID für ein Attribut. Die external_id darf nur lateinische Kleinbuchstaben, alphanumerische Zeichen, Binde- und Unterstriche enthalten.

Beispiel: "value_external_id"
attributes[].​values[].​valueobject(value-name)erforderlich

Objekt mit lokalisierten Wertnamen. Schlüssel sind in ISO 3166-1 spezifiziert.

attributes[].​values[].​value.​property name*stringzusätzliche Eigenschaft
custom_attributesobject(json)(item-custom-attributes-response)

Ein JSON-Objekt mit Artikelattributen und ‑werten.

description(two-letter (object or null)) or (five-letter (object or null))(description-localization-object)

Objekt mit Lokalisierungen für Artikelbeschreibungen. Werte können in zwei Formaten angegeben werden: Sprachencode bestehend aus zwei Kleinbuchstaben (z. B. en) oder fünfstelliger Gebietsschemacode (z. B. en-US). Beide Formate werden als Eingabe akzeptiert, als Antwort werden jedoch stets zweistellige Sprachencodes in Kleinbuchstaben zurückgegeben. Wenn für dieselbe Sprache beide Optionen angegeben sind (z. B. en und en-US), wird der zuletzt angegebene Wert gespeichert. Die vollständige Liste der unterstützten Sprachen finden Sie in der Dokumentation.

Any of:

Sprachencodes bestehend aus zwei Kleinbuchstaben.

description.​arstring or null

Arabisch

description.​bgstring or null

Bulgarisch

description.​cnstring or null

Chinesisch (vereinfacht)

description.​csstring or null

Tschechisch

description.​destring or null

Deutsch

description.​enstring or null

Englisch

description.​esstring or null

Spanisch (Spanien)

description.​frstring or null

Französisch

description.​hestring or null

Hebräisch

description.​idstring or null

Indonesisch

description.​itstring or null

Italienisch

description.​jastring or null

Japanisch

description.​kmstring or null

Khmer

description.​kostring or null

Koreanisch

description.​lostring or null

Laotisch

description.​mystring or null

Birmanisch

description.​nestring or null

Nepalesisch

description.​phstring or null

Filipino

description.​plstring or null

Polnisch

description.​ptstring or null

Portugiesisch

description.​rostring or null

Rumänisch

description.​rustring or null

Russisch

description.​thstring or null

Thai

description.​trstring or null

Türkisch

description.​twstring or null

Chinesisch (traditionell)

description.​vistring or null

Vietnamesisch

groupsArray of objects(Virtual-Items-Currency_admin-groups-response)

Gruppen, zu denen der Artikel gehört.

groups[].​external_idstring
Beispiel: "horror"
groups[].​nameobject

Name des Artikels. Sollte Schlüssel-Wert-Paare enthalten, wobei der Schlüssel ein Gebietsschema im Format "^[a–z]{2}" und der Wert ein String ist.

Standard {"en":"Horror"}
Beispiel: {"de":"Horror","en":"Horror"}
groups[].​name.​property name*stringzusätzliche Eigenschaft
image_urlstring(Virtual-Items-Currency_admin-image_url)

Bild-URL.

is_enabledboolean(Virtual-Items-Currency_is_enabled)

Whether the item is available. If false, the item can't be purchased in the store or obtained as part of a bundle or within a marketing campaign. Refer to our documentation for detailed information about item availability.

is_freeboolean(value-is_free)

Ob der Artikel kostenlos ist.

is_paid_randomized_rewardboolean(value-is_paid_randomized_reward)

Ob der Artikel eine kostenpflichtige zufällige Belohnung ist, z. B. eine Lootbox.

is_show_in_storeboolean(Virtual-Items-Currency_is_show_in_store)

Whether the item is displayed in the catalog. If false and is_enabled: true, the item is not visible in the catalog but can be obtained as part of a bundle or within marketing campaigns. Refer to our documentation for detailed information about item availability.

limitsobject or null(admin-item-limit-response)

Artikelbeschränkungen.

limits.​per_itemobject or null

Globale Artikelbeschränkung.

limits.​per_item.​availableinteger

Verbleibende Anzahl von Artikeln, die alle Nutzer kaufen können.

limits.​per_item.​reservedinteger
limits.​per_item.​soldinteger
limits.​per_item.​totalinteger

Höchstzahl von Artikeln, die alle Nutzer kaufen können.

limits.​per_userobject or null

Artikelbeschränkung für einen separaten Nutzer.

limits.​per_user.​limit_exceeded_visibilitystring(limit_exceeded_visibility)

Determines the visibility of the item in the catalog after the purchase limit is reached, until the next limit reset.

Applies to items for which recurring limit resets are configured in the recurrent_schedule array.

If limit resets are not configured, the item doesn't appear in the catalog after the purchase limit is reached, regardless of the limit_exceeded_visibility value.

Possible values:

  • show — The item is returned in catalog retrieval API calls after the purchase limit is reached. In client-side catalog retrieval API calls, once the limit is reached, the item is returned with the can_be_bought: false flag. The next reset date is returned in reset_next_date.
  • hide — The item is not returned in catalog retrieval API calls after the purchase limit is reached, until the limit is reset.
Enum"show""hide"
limits.​per_user.​totalinteger

Höchstzahl von Artikeln, die ein einzelner Nutzer kaufen kann.

limits.​recurrent_scheduleobject or null(admin_recurrent_schedule_response)

Aktualisierungszeitraum begrenzen.

limits.​recurrent_schedule.​per_userinterval_type = daily (object) or interval_type = weekly (object) or interval_type = monthly (object) or interval_type = hourly (object)

Aktualisierungszeitraum für das Nutzerlimit.

One of:

Tägliche Aktualisierung der Nutzerlimits.

limits.​recurrent_schedule.​per_user.​displayable_reset_next_datestring(date-time)

Datum und Uhrzeit, zu der die Limits zurückgesetzt werden sollen (ISO 8601).

Beispiel: "2023-02-28T11:00:00+08:00"
limits.​recurrent_schedule.​per_user.​displayable_reset_start_datestring(date-time)

Datum und Uhrzeit der ersten Limitaktualisierung (ISO 8601).

Beispiel: "2023-02-28T11:00:00+08:00"
limits.​recurrent_schedule.​per_user.​interval_typestring

Typ des wiederkehrenden Aktualisierungszeitraums.

Wert"daily"
limits.​recurrent_schedule.​per_user.​reset_next_dateinteger

Datum und Uhrzeit der Limitaktualisierung (Unix-Zeitstempel).

Beispiel: 1677553200
limits.​recurrent_schedule.​per_user.​timestring(full-time)

Zeitpunkt der Limitaktualisierung in der gewünschten Zeitzone (auf Stunden gerundet).

Beispiel: "11:00:00+03:00"
long_description(two-letter (object or null)) or (five-letter (object or null))(long-description-localization-object)

Objekt mit Lokalisierungen für lange Artikelbeschreibungen. Werte können in zwei Formaten angegeben werden: Sprachencode bestehend aus zwei Kleinbuchstaben (z. B. en) oder fünfstelliger Gebietsschemacode (z. B. en-US). Beide Formate werden als Eingabe akzeptiert, als Antwort werden jedoch stets zweistellige Sprachencodes in Kleinbuchstaben zurückgegeben. Wenn für dieselbe Sprache beide Varianten angegeben sind (z. B. en und en-US), wird der zuletzt angegebene Wert gespeichert. Die vollständige Liste der unterstützten Sprachen finden Sie in der Dokumentation.

Any of:

Sprachencodes bestehend aus zwei Kleinbuchstaben.

long_description.​arstring or null

Arabisch

long_description.​bgstring or null

Bulgarisch

long_description.​cnstring or null

Chinesisch (vereinfacht)

long_description.​csstring or null

Tschechisch

long_description.​destring or null

Deutsch

long_description.​enstring or null

Englisch

long_description.​esstring or null

Spanisch (Spanien)

long_description.​frstring or null

Französisch

long_description.​hestring or null

Hebräisch

long_description.​idstring or null

Indonesisch

long_description.​itstring or null

Italienisch

long_description.​jastring or null

Japanisch

long_description.​kmstring or null

Khmer

long_description.​kostring or null

Koreanisch

long_description.​lostring or null

Laotisch

long_description.​mystring or null

Birmanisch

long_description.​nestring or null

Nepalesisch

long_description.​phstring or null

Filipino

long_description.​plstring or null

Polnisch

long_description.​ptstring or null

Portugiesisch

long_description.​rostring or null

Rumänisch

long_description.​rustring or null

Russisch

long_description.​thstring or null

Thai

long_description.​trstring or null

Türkisch

long_description.​twstring or null

Chinesisch (traditionell)

long_description.​vistring or null

Vietnamesisch

media_listArray of objects(Virtual-Items-Currency_admin-media_list)

Zusätzliche Medieninhalte des Artikels wie Screenshots, Gameplay-Videos usw.

media_list[].​typestring

Medieninhaltstyp: image/video.

Enum"image""video"
Beispiel: "image"
media_list[].​urlstring

Ressourcendatei.

Beispiel: "https://cdn3.xsolla.com/img/misc/images/71ab1e12126f2103e1868076f0acb21a.jpg"
name(two-letter (object or null)) or (five-letter (object or null))(name-localization-object)

Objekt mit Lokalisierungen für Artikelnamen. Werte können in zwei Formaten angegeben werden: Sprachencode bestehend aus zwei Kleinbuchstaben (z. B. en) oder fünfstelliger Gebietsschemacode (z. B. en-US). Beide Formate werden als Eingabe akzeptiert, als Antwort werden jedoch stets zweistellige Sprachencodes in Kleinbuchstaben zurückgegeben. Wenn für dieselbe Sprache beide Optionen angegeben sind (z. B. en und en-US), wird der zuletzt angegebene Wert gespeichert. Die vollständige Liste der unterstützten Sprachen finden Sie in der Dokumentation.

Any of:

Sprachencodes bestehend aus zwei Kleinbuchstaben.

name.​arstring or null

Arabisch

name.​bgstring or null

Bulgarisch

name.​cnstring or null

Chinesisch (vereinfacht)

name.​csstring or null

Tschechisch

name.​destring or null

Deutsch

name.​enstring or null

Englisch

name.​esstring or null

Spanisch (Spanien)

name.​frstring or null

Französisch

name.​hestring or null

Hebräisch

name.​idstring or null

Indonesisch

name.​itstring or null

Italienisch

name.​jastring or null

Japanisch

name.​kmstring or null

Khmer

name.​kostring or null

Koreanisch

name.​lostring or null

Laotisch

name.​mystring or null

Birmanisch

name.​nestring or null

Nepalesisch

name.​phstring or null

Filipino

name.​plstring or null

Polnisch

name.​ptstring or null

Portugiesisch

name.​rostring or null

Rumänisch

name.​rustring or null

Russisch

name.​thstring or null

Thai

name.​trstring or null

Türkisch

name.​twstring or null

Chinesisch (traditionell)

name.​vistring or null

Vietnamesisch

orderinteger(Virtual-Items-Currency_order)

Item display order in the catalog. The higher the value, the lower the item appears in the list. If the values are the same, items are sorted by creation date, with newer items displayed higher.

periodsArray of objects(item-periods-response)

Artikelangebotszeitraum.

periods[].​date_fromstring or null(date-time)

Datum, an dem der angegebene Artikel zum Verkauf angeboten wird.

Beispiel: "2020-08-11T10:00:00+03:00"
periods[].​date_untilstring or null(date-time)

Datum, an dem der angegebene Artikel nicht mehr zum Verkauf angeboten wird. Möglich ist: null.

Beispiel: "2020-08-11T20:00:00+03:00"
pricesArray of objects(Virtual-Items-Currency_admin-prices)
Beispiel: [{"amount":10.5,"country_iso":"US","currency":"USD","is_default":true,"is_enabled":true}]
prices[].​amountnumber> 0erforderlich

Item price in real currency.

Beispiel: 10.5
prices[].​country_isostring or null

Land, in dem dieser Preis gilt. Code bestehend aus zwei Buchstaben gemäß ISO 3166-1 Alpha 2.

Beispiel: "US"
prices[].​currencystringerforderlich

Währung des Artikelpreises. Dreistelliger Code pro ISO 4217. Detaillierte Informationen zu Von Xsolla unterstützte Währungen.

Beispiel: "USD"
prices[].​is_defaultboolean

Whether it is the default price in real currency. Refer to our documentation for detailed information on price settings.

Standard false
Beispiel: true
prices[].​is_enabledboolean

Whether this price is used for displaying in the catalog and for purchasing the item. If false, the price is not used and another price is applied. Refer to our documentation for detailed information on price settings.

Standard true
Beispiel: true
regionsArray of objects(Virtual-Items-Currency_admin-regions)

Array of regions where the item is available. If the array is empty or not passed, the item is available in all regions.

regions[].​idinteger>= 1

Region ID within the project.

Refer to the regional sale restriction documentation and region management API calls for detailed information.

Beispiel: 1
skustring(Virtual-Items-Currency_sku)[ 1 .. 255 ] characters^[a-zA-Z0-9_\-–.]*$

Eindeutige Artikel-ID. Die SKU darf nur lateinische Klein- und Großbuchstaben, Ziffern, Punkte, Bindestriche und Unterstriche enthalten.

typestring(Virtual-Items-Currency_type)

Artikeltyp: virtual_good/virtual_currency/bundle/physical_good/unit.

vc_pricesArray of objects(Virtual-Items-Currency_admin-get-vc_prices)
Beispiel: [{"amount":10,"is_default":true,"sku":"com.xsolla.gold_1"}]
vc_prices[].​amountnumber> 0erforderlich

Betrag.

Beispiel: 10
vc_prices[].​is_defaultboolean
Standard false
Beispiel: true
vc_prices[].​skustring(Virtual-Items-Currency_schemas-sku)erforderlich

Eindeutige Artikel-ID. Die SKU darf nur lateinische Klein- und Großbuchstaben, Ziffern, Punkte, Bindestriche und Unterstriche enthalten.

Beispiel: "com.xsolla.gold_1"
Antwort
application/json
{ "attributes": [ {} ], "custom_attributes": { "attr": "value", "purchased": 0 }, "description": { "en": "Main in-game currency" }, "groups": [], "image_url": "https://cdn3.xsolla.com/img/misc/images/da33ab6cc1d7e5899cfdc5b6b6180fad.png", "is_enabled": true, "is_free": false, "is_paid_randomized_reward": false, "is_show_in_store": true, "limits": { "per_item": null, "per_user": null, "recurrent_schedule": null }, "long_description": null, "media_list": [], "name": { "en": "Crystals", "ru": "Crystals" }, "order": 1, "periods": [], "prices": [ {} ], "regions": [], "sku": "com.xsolla.crystal_1", "type": "virtual_currency", "vc_prices": [] }

Virtuelle Währung aktualisierenServer-sideAdmin

Anfrage

Aktualisiert eine virtuelle Währung.

Sicherheit
basicAuth
Pfad
project_idintegererforderlich

Project ID. You can find this parameter in your Publisher Account next to the project name and in the browser address bar when working with a project. The URL has the following format: https://publisher.xsolla.com/<merchant_id>/projects/<project_id>.

Beispiel: 44056
virtual_currency_skustringerforderlich

SKU der virtuellen Währung.

Beispiel: crystal
Bodyapplication/json
attributesArray of objects(Virtual-Items-Currency_admin-post-put-attributes)<= 20 items

Liste der Attribute.

Achtung: Sie können für den Artikel maximal 20 Attribute angeben. Jeder Versuch, das Limit zu überschreiten, führt zu einem Fehler.
attributes[].​external_idstring(admin-attribute-external_id)[ 1 .. 255 ] characters^[a-zA-Z0-9-_]+$erforderlich

Eindeutige Attribut-ID. Die external_id darf nur lateinische Klein- und Großbuchstaben, Ziffern, Bindestriche und Unterstriche enthalten.

attributes[].​nameobject(admin-attribute-name)

Objekt mit lokalisierten Attributnamen. Schlüssel sind in ISO 3166-1 spezifiziert.

attributes[].​name.​property name*stringzusätzliche Eigenschaft
attributes[].​valuesArray of objects(attribute-value)erforderlich
Achtung: Sie können für jedes Attribut maximal 6 Werte erstellen. Jeder Versuch, das Limit zu überschreiten, führt zu einem Fehler.
Beispiel: [{"external_id":"strategy","value":{"de":"Strategie","en":"Strategy"}},{"external_id":"action","value":{"de":"Aktion","en":"Action"}}]
attributes[].​values[].​external_idstring(value-external_id)[ 1 .. 255 ] characters^[-_.\d\w]+$erforderlich

Eindeutige Wert-ID für ein Attribut. Die external_id darf nur lateinische Kleinbuchstaben, alphanumerische Zeichen, Binde- und Unterstriche enthalten.

Beispiel: "value_external_id"
attributes[].​values[].​valueobject(value-name)erforderlich

Objekt mit lokalisierten Wertnamen. Schlüssel sind in ISO 3166-1 spezifiziert.

attributes[].​values[].​value.​property name*stringzusätzliche Eigenschaft
custom_attributesobject(json)(item-custom-attributes)<= 500 characters

Ein JSON-Objekt mit den Artikelattributen und ‑werten. Attribute ermöglichen es Ihnen, Artikeln weitere Informationen hinzuzufügen, z. B. das Mindestlevel des Spielers, um den Artikel verwenden zu können. Attribute bereichern die interne Logik Ihres Spiels und sind über spezielle GET-Methoden und Webhooks abrufbar.

description(two-letter (object or null)) or (five-letter (object or null))(description-localization-object)

Objekt mit Lokalisierungen für Artikelbeschreibungen. Werte können in zwei Formaten angegeben werden: Sprachencode bestehend aus zwei Kleinbuchstaben (z. B. en) oder fünfstelliger Gebietsschemacode (z. B. en-US). Beide Formate werden als Eingabe akzeptiert, als Antwort werden jedoch stets zweistellige Sprachencodes in Kleinbuchstaben zurückgegeben. Wenn für dieselbe Sprache beide Optionen angegeben sind (z. B. en und en-US), wird der zuletzt angegebene Wert gespeichert. Die vollständige Liste der unterstützten Sprachen finden Sie in der Dokumentation.

Any of:

Sprachencodes bestehend aus zwei Kleinbuchstaben.

description.​arstring or null

Arabisch

description.​bgstring or null

Bulgarisch

description.​cnstring or null

Chinesisch (vereinfacht)

description.​csstring or null

Tschechisch

description.​destring or null

Deutsch

description.​enstring or null

Englisch

description.​esstring or null

Spanisch (Spanien)

description.​frstring or null

Französisch

description.​hestring or null

Hebräisch

description.​idstring or null

Indonesisch

description.​itstring or null

Italienisch

description.​jastring or null

Japanisch

description.​kmstring or null

Khmer

description.​kostring or null

Koreanisch

description.​lostring or null

Laotisch

description.​mystring or null

Birmanisch

description.​nestring or null

Nepalesisch

description.​phstring or null

Filipino

description.​plstring or null

Polnisch

description.​ptstring or null

Portugiesisch

description.​rostring or null

Rumänisch

description.​rustring or null

Russisch

description.​thstring or null

Thai

description.​trstring or null

Türkisch

description.​twstring or null

Chinesisch (traditionell)

description.​vistring or null

Vietnamesisch

groupsArray of strings(Virtual-Items-Currency_admin-groups-create)

List of group external IDs the item belongs to.

Example: ["horror", "action"]

image_urlstring(Virtual-Items-Currency_admin-image_url)

Bild-URL.

is_enabledboolean(Virtual-Items-Currency_is_enabled)

Whether the item is available. If false, the item can't be purchased in the store or obtained as part of a bundle or within a marketing campaign. Refer to our documentation for detailed information about item availability.

is_freeboolean(value-is_free)

Ob der Artikel kostenlos ist.

is_paid_randomized_rewardboolean(value-is_paid_randomized_reward)

Ob der Artikel eine kostenpflichtige zufällige Belohnung ist, z. B. eine Lootbox.

is_show_in_storeboolean(Virtual-Items-Currency_is_show_in_store)

Whether the item is displayed in the catalog. If false and is_enabled: true, the item is not visible in the catalog but can be obtained as part of a bundle or within marketing campaigns. Refer to our documentation for detailed information about item availability.

limitsobject(Virtual-Currency-item-limit)

Artikelbeschränkungen.

limits.​per_iteminteger or null(limit_per_item)

Globale Artikelbeschränkung.

limits.​per_userlimit_per_user (null) or limit_per_user (integer) or limit_per_user (object)(limit_per_user)

Artikelbeschränkung für einen separaten Nutzer.

Any of:

Artikelbeschränkung für einen separaten Nutzer.

null(limit_per_user)
limits.​recurrent_scheduleobject or null(virtual_currency_recurrent_schedule)

Aktualisierungszeitraum begrenzen.

limits.​recurrent_schedule.​per_userinterval_type = daily (object) or interval_type = weekly (object) or interval_type = monthly (object) or interval_type = hourly (object)

Das Kauflimit wird gemäß dem in Stunden angegebenen Zeitintervall zurückgesetzt.

One of:

Das Kauflimit wird gemäß dem in Stunden angegebenen Zeitintervall zurückgesetzt.

limits.​recurrent_schedule.​per_user.​interval_typestringerforderlich

Wiederkehrender Aktualisierungszeitraum.

Wert"daily"
limits.​recurrent_schedule.​per_user.​timestring((0[0-9]|1[0-9]|2[0-3]):00:00)(\+|-)(0[0-9]|1...erforderlich

Zeitpunkt der Limitaktualisierung in der gewünschten Zeitzone (auf Stunden gerundet).

Beispiel: "02:00:00+03:00"
long_description(two-letter (object or null)) or (five-letter (object or null))(long-description-localization-object)

Objekt mit Lokalisierungen für lange Artikelbeschreibungen. Werte können in zwei Formaten angegeben werden: Sprachencode bestehend aus zwei Kleinbuchstaben (z. B. en) oder fünfstelliger Gebietsschemacode (z. B. en-US). Beide Formate werden als Eingabe akzeptiert, als Antwort werden jedoch stets zweistellige Sprachencodes in Kleinbuchstaben zurückgegeben. Wenn für dieselbe Sprache beide Varianten angegeben sind (z. B. en und en-US), wird der zuletzt angegebene Wert gespeichert. Die vollständige Liste der unterstützten Sprachen finden Sie in der Dokumentation.

Any of:

Sprachencodes bestehend aus zwei Kleinbuchstaben.

long_description.​arstring or null

Arabisch

long_description.​bgstring or null

Bulgarisch

long_description.​cnstring or null

Chinesisch (vereinfacht)

long_description.​csstring or null

Tschechisch

long_description.​destring or null

Deutsch

long_description.​enstring or null

Englisch

long_description.​esstring or null

Spanisch (Spanien)

long_description.​frstring or null

Französisch

long_description.​hestring or null

Hebräisch

long_description.​idstring or null

Indonesisch

long_description.​itstring or null

Italienisch

long_description.​jastring or null

Japanisch

long_description.​kmstring or null

Khmer

long_description.​kostring or null

Koreanisch

long_description.​lostring or null

Laotisch

long_description.​mystring or null

Birmanisch

long_description.​nestring or null

Nepalesisch

long_description.​phstring or null

Filipino

long_description.​plstring or null

Polnisch

long_description.​ptstring or null

Portugiesisch

long_description.​rostring or null

Rumänisch

long_description.​rustring or null

Russisch

long_description.​thstring or null

Thai

long_description.​trstring or null

Türkisch

long_description.​twstring or null

Chinesisch (traditionell)

long_description.​vistring or null

Vietnamesisch

media_listArray of objects(Virtual-Items-Currency_admin-media_list)

Zusätzliche Medieninhalte des Artikels wie Screenshots, Gameplay-Videos usw.

media_list[].​typestring

Medieninhaltstyp: image/video.

Enum"image""video"
Beispiel: "image"
media_list[].​urlstring

Ressourcendatei.

Beispiel: "https://cdn3.xsolla.com/img/misc/images/71ab1e12126f2103e1868076f0acb21a.jpg"
name(two-letter (object or null)) or (five-letter (object or null))(name-localization-object)erforderlich

Objekt mit Lokalisierungen für Artikelnamen. Werte können in zwei Formaten angegeben werden: Sprachencode bestehend aus zwei Kleinbuchstaben (z. B. en) oder fünfstelliger Gebietsschemacode (z. B. en-US). Beide Formate werden als Eingabe akzeptiert, als Antwort werden jedoch stets zweistellige Sprachencodes in Kleinbuchstaben zurückgegeben. Wenn für dieselbe Sprache beide Optionen angegeben sind (z. B. en und en-US), wird der zuletzt angegebene Wert gespeichert. Die vollständige Liste der unterstützten Sprachen finden Sie in der Dokumentation.

Any of:

Sprachencodes bestehend aus zwei Kleinbuchstaben.

name.​arstring or null

Arabisch

name.​bgstring or null

Bulgarisch

name.​cnstring or null

Chinesisch (vereinfacht)

name.​csstring or null

Tschechisch

name.​destring or null

Deutsch

name.​enstring or null

Englisch

name.​esstring or null

Spanisch (Spanien)

name.​frstring or null

Französisch

name.​hestring or null

Hebräisch

name.​idstring or null

Indonesisch

name.​itstring or null

Italienisch

name.​jastring or null

Japanisch

name.​kmstring or null

Khmer

name.​kostring or null

Koreanisch

name.​lostring or null

Laotisch

name.​mystring or null

Birmanisch

name.​nestring or null

Nepalesisch

name.​phstring or null

Filipino

name.​plstring or null

Polnisch

name.​ptstring or null

Portugiesisch

name.​rostring or null

Rumänisch

name.​rustring or null

Russisch

name.​thstring or null

Thai

name.​trstring or null

Türkisch

name.​twstring or null

Chinesisch (traditionell)

name.​vistring or null

Vietnamesisch

orderinteger(Virtual-Items-Currency_order)

Item display order in the catalog. The higher the value, the lower the item appears in the list. If the values are the same, items are sorted by creation date, with newer items displayed higher.

periodsArray of objects or null(item-periods)

Artikelangebotszeitraum.

periods[].​date_fromstring(date-time)

Datum, an dem der angegebene Artikel zum Verkauf angeboten wird.

Beispiel: "2020-08-11T10:00:00+03:00"
periods[].​date_untilstring or null(date-time)

Datum, an dem der angegebene Artikel nicht mehr zum Verkauf angeboten wird. Möglich ist: null.

Beispiel: "2020-08-11T20:00:00+03:00"
pricesArray of objects(Virtual-Items-Currency_admin-prices)
Beispiel: [{"amount":10.5,"country_iso":"US","currency":"USD","is_default":true,"is_enabled":true}]
prices[].​amountnumber> 0erforderlich

Item price in real currency.

Beispiel: 10.5
prices[].​country_isostring or null

Land, in dem dieser Preis gilt. Code bestehend aus zwei Buchstaben gemäß ISO 3166-1 Alpha 2.

Beispiel: "US"
prices[].​currencystringerforderlich

Währung des Artikelpreises. Dreistelliger Code pro ISO 4217. Detaillierte Informationen zu Von Xsolla unterstützte Währungen.

Beispiel: "USD"
prices[].​is_defaultboolean

Whether it is the default price in real currency. Refer to our documentation for detailed information on price settings.

Standard false
Beispiel: true
prices[].​is_enabledboolean

Whether this price is used for displaying in the catalog and for purchasing the item. If false, the price is not used and another price is applied. Refer to our documentation for detailed information on price settings.

Standard true
Beispiel: true
regionsArray of objects(Virtual-Items-Currency_admin-regions)

Array of regions where the item is available. If the array is empty or not passed, the item is available in all regions.

regions[].​idinteger>= 1

Region ID within the project.

Refer to the regional sale restriction documentation and region management API calls for detailed information.

Beispiel: 1
skustring(Virtual-Items-Currency_sku)[ 1 .. 255 ] characters^[a-zA-Z0-9_\-–.]*$erforderlich

Eindeutige Artikel-ID. Die SKU darf nur lateinische Klein- und Großbuchstaben, Ziffern, Punkte, Bindestriche und Unterstriche enthalten.

vc_pricesArray of objects or null(Virtual-Items-Currency_admin-create-vc_prices)

Array of virtual currency prices.

Beispiel: [{"amount":10,"is_default":true,"is_enabled":true,"sku":"com.xsolla.gold_1"}]
vc_prices[].​amountintegererforderlich

Artikelpreis in virtueller Währung.

Beispiel: 10
vc_prices[].​is_defaultbooleanerforderlich

Whether it is the default price in virtual currency.

Standard false
Beispiel: true
vc_prices[].​is_enabledbooleanerforderlich

Whether this price is used for displaying in the catalog and for purchasing the item. If false, the price is not used.

Standard true
Beispiel: true
vc_prices[].​skustring(Virtual-Items-Currency_schemas-sku)erforderlich

Eindeutige Artikel-ID. Die SKU darf nur lateinische Klein- und Großbuchstaben, Ziffern, Punkte, Bindestriche und Unterstriche enthalten.

Beispiel: "com.xsolla.gold_1"
curl -i -X PUT \
  -u <username>:<password> \
  https://store.xsolla.com/api/v2/project/44056/admin/items/virtual_currency/sku/crystal \
  -H 'Content-Type: application/json' \
  -d '{
    "attributes": [
      {
        "external_id": "material",
        "name": {
          "en-US": "Material"
        },
        "values": [
          {
            "external_id": "gold",
            "value": {
              "en-US": "Gold"
            }
          }
        ]
      }
    ],
    "custom_attributes": {
      "attr": "value",
      "purchased": 0
    },
    "description": {
      "de-DE": "Die Hauptwährung deines Königreichs",
      "en-US": "The main currency of your kingdom"
    },
    "groups": [
      "gold"
    ],
    "is_enabled": true,
    "is_free": false,
    "is_paid_randomized_reward": false,
    "limits": {
      "per_item": 10000,
      "per_user": 5
    },
    "name": {
      "de-DE": "Goldmünze",
      "en-US": "Gold coin"
    },
    "order": 1,
    "periods": [
      {
        "date_from": "2020-08-11T10:00:00+03:00",
        "date_until": "2020-08-11T20:00:00+03:00"
      }
    ],
    "prices": [
      {
        "amount": 100,
        "currency": "USD",
        "is_default": true,
        "is_enabled": true
      }
    ],
    "sku": "com.xsolla.coin_1"
  }'

Antworten

Virtuelle Währung wurde erfolgreich aktualisiert.

Body
Antwort
Kein Inhalt
Operationen
Operationen
Operationen
Operationen
Operationen
Operationen
Operationen
Operationen
Operationen
Operationen
Operationen
Operationen
Operationen
Operationen
Operationen
Operationen
Operationen

Katalog

Diese API ermöglicht es, jede Art von verkäuflichen oder bestimmten Artikeln zu erhalten.

Operationen
Operationen
Operationen
Operationen
Operationen